<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<header>
		<h2>HTML Entities</h2>
	</header>

	<main>
		<section>
			<p><em>Reserved characters in HTML (e.g. &lt; or &gt;) that can mix up with HTML code.</em></p>
	

		<table border="2">
			<thead>
				<tr>
					<!-- th tag defines a table header element -->
					<!-- colspan attribute changes the amount of columns a table element will occupy-->
					<th colspan="2">Entity</th>
					<!-- rowspan attribute changes the amount of rows a table element will occupy -->
					<th rowspan="2">Description</th>
				</tr>

				<tr>
					<th>Symbol</th>
					<th>Name/Number</th>
				</tr>
			</thead>

			<tbody>
				<!-- this is the first row -->
				<tr>
					<!-- this is the first column in the row -->
					<td>&lt;</td>
					<!-- this is the second column in the row -->
					<td>lt</td>
					<!-- this is the third column in the row -->
					<td>less than</td>
				</tr>

                <!-- this is the second row -->
				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>greater than</td>
				</tr>

				<tr>
					<td>&#8369;</td>
					<td>#8369</td>
					<td>peso sign</td>
				</tr>

				<tr>
					<td>&amp;</td>
					<td>amp</td>
					<td>ampersand</td>
				</tr>

				<tr>
					<td>&quot;</td>
					<td>quot</td>
					<td>double quotation mark</td>
				</tr>

				<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>single quotation mark (apostrophe)</td>
				</tr>

				<tr>
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>Lower Tilde</td>
				</tr>

				<tr>
					<td>&Ntilde;</td>
					<td>Ntilde</td>
					<td>Upper Tilde</td>
				</tr>

			</tbody>

			<tfoot>
				<tr>
					<th colspan="3">List of HTML entities</th>
				</tr>
			</tfoot>
		</table>

		</section>

		<section>
			<h2>HTML Forms</h2>

			<p><em>Input elements that make up a form.</em></p>

			<form>
				<!-- text inputs -->
				<!-- label tag creates a text element that serve as the label for the input field-->
				<!-- type attribute will define what type of information the input should be -->
				<!-- for attribute is used with the id attribute in an input -->
				<label for="fullname">Full Name:</label><br>
				<input type="text" name="fullname" placeholder="Name" id="fullname" required><br>

				<label for="birthdate">Birthdate:</label>
				<input type="date" name="birthdate" id="birthdate"><br>

				<label for="age">Age:</label>
				<input type="number" id="age"><br>

				<label for="gender">Gender:</label><br>
				<select name="gender" id="gender">
					<option value="male">Male</option><br>
					<option value="female">Female</option><br>
				</select><br>

				<!-- text area -->

				<label for="notes">Notes</label><br>
				<textarea name="notes" cols="5" rows="5" id="notes"></textarea><br>

				<!-- radio button -->

				<label>New user:</label><br>

				<input type="radio" name="new_user" value="yes" id="yes">
				<label for="yes">Yes</label><br>

				<input type="radio" name="new_user" value="no" id="no">
				<label for="no">No</label><br>

				<!-- checkbox -->

				<label>Role:</label><br>

				<input type="checkbox" name="role1" id="developer">
				<label for="developer">Developer</label><br>

				<input type="checkbox" name="role2" id="student">
				<label for="student">Student</label><br>

				<input type="checkbox" name="role3" id="manager">
				<label for="manager">Manager</label><br>


				<button>Submit</button><br>
				<button type="reset">Reset</button>
				
			</form>
		</section>
	</main>
	
</body>
</html>